Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master.search.potdup
Class PotentialDuplicateSummary

    java.lang.Object
      com.sun.mdm.index.objects.ObjectNode
          com.sun.mdm.index.master.search.potdup.PotentialDuplicateSummary

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class PotentialDuplicateSummary
extends ObjectNode

The PotentialDuplicateSummary class represents an object containing a potential duplicate pair returned by a call to lookupPotentialDuplicates. A potential duplicate search returns an iterator of PotentialDuplicateSummary objects.

See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID`
`static int` | `version`

Fields inherited from class com.sun.mdm.index.objects.ObjectNode
`indexMap, mChildrenHashMap, mChildTags, mFields, mParent, mParentTag, mPartOfIndex, mPosition, mTag, mVersion`

Constructor Summary
`PotentialDuplicateSummary()`
`PotentialDuplicateSummary(MasterController mc, PotentialDuplicateSearchObject searchObj, java.lang.String id, java.lang.String euid1, java.lang.String euid2, java.lang.String status, java.lang.String reason, float weight, java.lang.String systemCode, java.lang.String createUser, java.util.Date createDate, java.lang.String resolvedUser, java.util.Date resolvedDate, java.lang.String comment)` Creates a new instance of the PotentialDuplicateSummary class.
`PotentialDuplicateSummary(PotentialDuplicateSearchObject searchObj, java.lang.String id, java.lang.String euid1, java.lang.String euid2, java.lang.String status, java.lang.String reason, float weight, java.lang.String systemCode, java.lang.String createUser, java.util.Date createDate, java.lang.String resolvedUser, java.util.Date resolvedDate, java.lang.String comment)` Creates a new instance of the PotentialDuplicateSummary class.

Method Summary
`PotentialDuplicateIterator` | `getAssociatedPotentialDuplicates()` Retrieves additional potential duplicate records associated with the potential duplicate records contained in the PotentialDuplicateSummary object.
`java.util.Date` | `getCreateDate()` Retrieves the date the potential duplicate listing was created from the PotentialDuplicateSummary object.
`java.lang.String` | `getCreateUser()` Retrieves the create user ID from the PotentialDuplicateSummary object.
`java.lang.String` | `getEUID1()` Retrieves the value of the first EUID from the PotentialDuplicateSummary object.
`java.lang.String` | `getEUID2()` Retrieves the value of the second EUID from the PotentialDuplicateSummary object.
`java.lang.String` | `getId()` Retrieves the value of the potential duplicate ID from the PotentialDuplicateSummary object.
`ObjectNode` | `getObject1()` Retrieves fields from one EUID object in the PotentialDuplicateSummary object.
`ObjectNode` | `getObject2()` Retrieves fields from the second EUID object in the PotentialDuplicateSummary object.
`java.lang.String` | `getReason()` Retrieves the reason the records in the PotentialDuplicateSummary object were marked as potential duplicates.
`java.lang.String` | `getResolvedComment()` Retrieves the comment generated when the potential duplicate records in the PotentialDuplicateSummary object were resolved.
`java.util.Date` | `getResolvedDate()` Retrieves the date the potential duplicate listing was resolved from the PotentialDuplicateSummary object.
`java.lang.String` | `getResolvedUser()` Retrieves the resolved user ID from the PotentialDuplicateSummary object.
`java.lang.String` | `getStatus()` Retrieves the value of the potential duplicate status of the records in the PotentialDuplicateSummary object.
`java.lang.String` | `getSystemCode()` Retrieves the system code from the PotentialDuplicateSummary object.
`float` | `getWeight()` Retrieves the matching probability weight of the records in the PotentialDuplicateSummary object.
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `setObject1(ObjectNode obj)` Set object 1
`void` | `setObject2(ObjectNode obj)` Set object 2
`void` | `setStatus(java.lang.String status)` Sets the status for a PotentialDuplicateSummary object.
`java.lang.String` | `toString()` Retrieves a string representation of the potential duplicate ID, EUID1, EUID2, and weight fields from the PotentialDuplicateSummary object.
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class com.sun.mdm.index.objects.ObjectNode
`add, addChild, addChildHard, addChildNoFlagSet, addChildren, addChildToTypeArrayList, clearChildrenForType, clearField, copy, createChildIndex, deleteChild, deleteChild, deleteChild, equals, equals, getAllChildrenFromHashMap, getChild, getChild, getChild, getChild, getChildKey, getChildrenForType, getChildSuperKey, getField, getFieldTypes, getFlag, getObjectId, getParent, getParentTag, getValue, getValueObject, hasFieldReadAccess, hasFieldUpdateAccess, hashCode, hasObjectAddAccess, hasObjectDeleteAccess, hasObjectReadAccess, hasObjectUpdateAccess, isAdded, isChanged, isKeyChanged, isKeyIndexable, isKeyType, isKeyValid, isNew, isNull, isNullable, isRegularKeyIndexable, isRemoved, isSearched, isUpdated, isVisible, obtainKey, obtainSuperKey, pGetChildren, pGetChildren, pGetChildTags, pGetFieldNames, pGetFields, pGetFieldUpdateLogs, pGetFieldValues, pGetFlagString, pGetKey, pGetSuperKey, pGetTag, pGetType, pGetType, recalculateIndex, removeChild, removeChild, removeChildForType, removeChildIndex, removeChildren, removeChildren, reset, resetAll, setAddFlag, setChanged, setFieldReadAccess, setFieldUpdateAccess, setFieldUpdateLogs, setFlag, setKey, setKeyChangeFlag, setKeyType, setNull, setNullable, setObjectAddAccess, setObjectDeleteAccess, setObjectReadAccess, setObjectUpdateAccess, setParent, setRemoveFlag, setSearched, setUpdateFlag, setValue, setVisible, structCopy, unChange, update, updateChild, updateIfChanged, updateIfNotEqual, updateIfNotNull, updateIfNotNull`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

### version

    public static final int version

See Also:
  Constant Field Values

Constructor Detail

### PotentialDuplicateSummary

    public PotentialDuplicateSummary()
                              throws ObjectException

### PotentialDuplicateSummary

    public PotentialDuplicateSummary(MasterController mc,
                                     PotentialDuplicateSearchObject searchObj,
                                     java.lang.String id,
                                     java.lang.String euid1,
                                     java.lang.String euid2,
                                     java.lang.String status,
                                     java.lang.String reason,
                                     float weight,
                                     java.lang.String systemCode,
                                     java.lang.String createUser,
                                     java.util.Date createDate,
                                     java.lang.String resolvedUser,
                                     java.util.Date resolvedDate,
                                     java.lang.String comment)
                              throws ObjectException

  Creates a new instance of the PotentialDuplicateSummary class.

  Parameters:
    `mc` - A handle to the MasterController instance.
    `searchObj` - A PotentialDuplicateSearchObject search object.
    `id` - A string containing a potential duplicate ID.
    `euid1` - A string containing the first EUID in a potential duplicate pair.
    `euid2` - A string containing the second EUID in a potential duplicate pair.
    `status` - A string containing the status of the potential duplicate pair.
    `reason` - A string containing the reason the records were listed as potential duplicates.
    `weight` - A floating integer indicating the matching probability between the two records.
    `systemCode` - A string containing the processing code of the system that caused the potential duplication.
    `createUser` - A string containing the logon ID of the user who performed the transaction causing the potential duplication.
    `createDate` - The date the potential duplicate listing was created.
    `resolvedUser` - A string containing the logon ID of the user who resolved the potential duplicate records.
    `resolvedDate` - The date the potential duplicate listing was resolved.
    `comment` - A string containing a comment about the potential duplicate records.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the PotentialDuplicateSummary object.

### PotentialDuplicateSummary

    public PotentialDuplicateSummary(PotentialDuplicateSearchObject searchObj,
                                     java.lang.String id,
                                     java.lang.String euid1,
                                     java.lang.String euid2,
                                     java.lang.String status,
                                     java.lang.String reason,
                                     float weight,
                                     java.lang.String systemCode,
                                     java.lang.String createUser,
                                     java.util.Date createDate,
                                     java.lang.String resolvedUser,
                                     java.util.Date resolvedDate,
                                     java.lang.String comment)
                              throws ObjectException

  Creates a new instance of the PotentialDuplicateSummary class.

  Parameters:
    `searchObj` - A PotentialDuplicateSearchObject search object.
    `id` - A string containing a potential duplicate ID.
    `euid1` - A string containing the first EUID in a potential duplicate pair.
    `euid2` - A string containing the second EUID in a potential duplicate pair.
    `status` - A string containing the status of the potential duplicate pair.
    `reason` - A string containing the reason the records were listed as potential duplicates.
    `weight` - A floating integer indicating the matching probability between the two records.
    `systemCode` - A string containing the processing code of the system that caused the potential duplication.
    `createUser` - A string containing the logon ID of the user who performed the transaction causing the potential duplication.
    `createDate` - The date the potential duplicate listing was created.
    `resolvedUser` - A string containing the logon ID of the user who resolved the potential duplicate records.
    `resolvedDate` - The date the potential duplicate listing was resolved.
    `comment` - A string containing a comment about the potential duplicate records.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the PotentialDuplicateSummary object.

Method Detail

### getAssociatedPotentialDuplicates

    public PotentialDuplicateIterator getAssociatedPotentialDuplicates()
                                                                throws java.rmi.RemoteException,
                                                                       ProcessingException

  Retrieves additional potential duplicate records associated with the potential duplicate records contained in the PotentialDuplicateSummary object. If the resulting iterator only contains one record, there are no associated potential duplicates.

  Parameters:
    None.

  Returns:
    `PotentialDuplicateIterator` - An iterator of PotentialDuplicateSummary objects.
  Throws:
    `ProcessingException` - Thrown if an error occurs while processing the associated potential duplicate records.
    `java.rmi.RemoteException` - Thrown if the connection to the remote server goes down during processing.

### getCreateDate

    public java.util.Date getCreateDate()
                                 throws ObjectException

  Retrieves the date the potential duplicate listing was created from the PotentialDuplicateSummary object.

  Parameters:
    None.

  Returns:
    `java.util.Date` - The create date of the potential duplicate listing.
  Throws:
    `ObjectException` - Thrown if the date could not be retrieved.

### getCreateUser

    public java.lang.String getCreateUser()
                                   throws ObjectException

  Retrieves the create user ID from the PotentialDuplicateSummary object.

  Parameters:
    None.

  Returns:
    `String` - A user logon ID.
  Throws:
    `ObjectException` - Thrown if the user ID could not be retrieved.

### getEUID1

    public java.lang.String getEUID1()
                              throws ObjectException

  Retrieves the value of the first EUID from the PotentialDuplicateSummary object.

  Parameters:
    None.

  Returns:
    `String` - An EUID.
  Throws:
    `ObjectException` - Thrown if the EUID could not be retrieved.

### getEUID2

    public java.lang.String getEUID2()
                              throws ObjectException

  Retrieves the value of the second EUID from the PotentialDuplicateSummary object.

  Parameters:
    None.

  Returns:
    `String` - An EUID.
  Throws:
    `ObjectException` - Thrown if the EUID could not be retrieved.

### getId

    public java.lang.String getId()
                           throws ObjectException

  Retrieves the value of the potential duplicate ID from the PotentialDuplicateSummary object.

  Parameters:
    None.

  Returns:
    `String` - The value of the potential duplicate ID.
  Throws:
    `ObjectException` - Thrown if the ID could not be retrieved.

### getObject1

    public ObjectNode getObject1()

  Retrieves fields from one EUID object in the PotentialDuplicateSummary object. The fields retrieved are specified by PotentialDuplicateSearchObject.getFieldsToRetrieve.

  Parameters:
    None.

  Returns:
    `ObjectNode` - The specified fields in the given object.
  Throws:
    None.

### getObject2

    public ObjectNode getObject2()

  Retrieves fields from the second EUID object in the PotentialDuplicateSummary object. The fields retrieved are specified by PotentialDuplicateSearchObject.getFieldsToRetrieve.

  Parameters:
    None.

  Returns:
    `ObjectNode` - The specified fields in the given object.
  Throws:
    None.

### getReason

    public java.lang.String getReason()
                               throws ObjectException

  Retrieves the reason the records in the PotentialDuplicateSummary object were marked as potential duplicates.

  Parameters:
    None.

  Returns:
    `String` - The reason for the potential duplication.
  Throws:
    `ObjectException` - Thrown if the reason could not be retrieved.

### getResolvedComment

    public java.lang.String getResolvedComment()
                                        throws ObjectException

  Retrieves the comment generated when the potential duplicate records in the PotentialDuplicateSummary object were resolved.

  Parameters:
    None.

  Returns:
    `String` - A comment describing the resolution.
  Throws:
    `ObjectException` - Thrown if the comment could not be retrieved.

### getResolvedDate

    public java.util.Date getResolvedDate()
                                   throws ObjectException

  Retrieves the date the potential duplicate listing was resolved from the PotentialDuplicateSummary object.

  Parameters:
    None.

  Returns:
    `java.util.Date` - The resolved date of the potential duplicate listing.
  Throws:
    `ObjectException` - Thrown if the date could not be retrieved.

### getResolvedUser

    public java.lang.String getResolvedUser()
                                     throws ObjectException

  Retrieves the resolved user ID from the PotentialDuplicateSummary object.

  Parameters:
    None.

  Returns:
    `String` - A user logon ID.
  Throws:
    `ObjectException` - Thrown if the user ID could not be retrieved.

### getStatus

    public java.lang.String getStatus()
                               throws ObjectException

  Retrieves the value of the potential duplicate status of the records in the PotentialDuplicateSummary object.

  Parameters:
    None.

  Returns:
    `String` - The status of the potential duplicate records. One of these values is returned:
    - A - Indicates the pair has been auto resolved.
    - R - Indicates the pair has been resolved.
    - Unresolved.
  Throws:
    `ObjectException` - Thrown if the status could not be retrieved.

### getSystemCode

    public java.lang.String getSystemCode()
                                   throws ObjectException

  Retrieves the system code from the PotentialDuplicateSummary object.

  Parameters:
    None.

  Returns:
    `String` - The processing code of the system that caused the potential duplication.
  Throws:
    `ObjectException` - Thrown if the system code could not be retrieved.

### getWeight

    public float getWeight()
                    throws ObjectException

  Retrieves the matching probability weight of the records in the PotentialDuplicateSummary object.

  Parameters:
    None.

  Returns:
    `Float` - The matching probability weight between two records.
  Throws:
    `ObjectException` - Thrown if the weight could not be retrieved.

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `ObjectNode`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### setObject1

    public void setObject1(ObjectNode obj)

  Set object 1

  Parameters:
    `obj` - object 1

### setObject2

    public void setObject2(ObjectNode obj)

  Set object 2

  Parameters:
    `obj` - object 2

### setStatus

    public void setStatus(java.lang.String status)
                   throws ObjectException

  Sets the status for a PotentialDuplicateSummary object.

  Parameters:
    `status` - A string containing a status. Possible values are:
    - A - Indicates the pair has been auto resolved.
    - R - Indicates the pair has been resolved.
    - Unresolved.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if the status could not be set.

### toString

    public java.lang.String toString()

  Retrieves a string representation of the potential duplicate ID, EUID1, EUID2, and weight fields from the PotentialDuplicateSummary object.

  Parameters:
    None.

  Overrides:
    `toString` in class `ObjectNode`
  Returns:
    `String` - The potential duplicate ID, EUID1, EUID2, and weight field values.
  Throws:
    None.

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `ObjectNode`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.